/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.asset.auto.tagger.google.cloud.natural.language;

import java.util.Collection;
import java.util.Locale;

/**
 * Models a Google Cloud Natural Language Document Asset Auto Tagger.
 *
 * @author     Cristina González
 * @deprecated As of Mueller (7.2.x)
 * @review
 */
@Deprecated
public interface GCloudNaturalLanguageDocumentAssetAutoTagger {

	/**
	 * Returns a list of tag names from Google Cloud Natural Language
	 * Classification API from the configuration, the text and its mimetype.
	 *
	 * @param  companyId the company ID
	 * @param  content the text to be tagged.
	 * @param  locale the text's locale
	 * @param  mimeType the text mimeType.
	 * @return a list of tag names.
	 * @review
	 */
	public Collection<String> getTagNames(
			long companyId, String content, Locale locale, String mimeType)
		throws Exception;

	/**
	 * Returns a list of tag names from Google Cloud Natural Language
	 * Classification API from the configuration, the text and its mimetype.
	 *
	 * @param  companyId the company ID
	 * @param  content the text to be tagged.
	 * @param  mimeType the text mimeType.
	 * @return a list of tag names.
	 * @review
	 */
	public Collection<String> getTagNames(
			long companyId, String content, String mimeType)
		throws Exception;

}